
From: Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/sparc64/kernel/setup.c       |    6 +++---
 25-akpm/arch/sparc64/kernel/vmlinux.lds.S |    3 +++
 25-akpm/include/asm-sparc64/setup.h       |    1 +
 3 files changed, 7 insertions(+), 3 deletions(-)

diff -puN arch/sparc64/kernel/setup.c~early-param-sparc64 arch/sparc64/kernel/setup.c
--- 25/arch/sparc64/kernel/setup.c~early-param-sparc64	2004-03-30 19:49:12.859983568 -0800
+++ 25-akpm/arch/sparc64/kernel/setup.c	2004-03-30 19:49:12.864982808 -0800
@@ -47,6 +47,7 @@
 #include <asm/mmu_context.h>
 #include <asm/timer.h>
 #include <asm/sections.h>
+#include <asm/setup.h>
 
 #ifdef CONFIG_IP_PNP
 #include <net/ipconfig.h>
@@ -451,8 +452,7 @@ extern unsigned short ram_flags;
 
 extern int root_mountflags;
 
-char saved_command_line[256];
-char reboot_command[256];
+char reboot_command[COMMAND_LINE_SIZE];
 
 static struct pt_regs fake_swapper_regs = { { 0, }, 0, 0, 0, 0 };
 
@@ -476,7 +476,7 @@ void __init setup_arch(char **cmdline_p)
 
 	/* Initialize PROM console and command line. */
 	*cmdline_p = prom_getbootargs();
-	strcpy(saved_command_line, *cmdline_p);
+	parse_early_options(cmdline_p);
 
 	printk("ARCH: SUN4U\n");
 
diff -puN arch/sparc64/kernel/vmlinux.lds.S~early-param-sparc64 arch/sparc64/kernel/vmlinux.lds.S
--- 25/arch/sparc64/kernel/vmlinux.lds.S~early-param-sparc64	2004-03-30 19:49:12.860983416 -0800
+++ 25-akpm/arch/sparc64/kernel/vmlinux.lds.S	2004-03-30 19:49:12.865982656 -0800
@@ -51,6 +51,9 @@ SECTIONS
   __setup_start = .;
   .init.setup : { *(.init.setup) }
   __setup_end = .;
+  __early_begin = .;
+  __early_param : { *(__early_param) }
+  __early_end = .;
   __start___param = .;
   __param : { *(__param) }
   __stop___param = .;
diff -puN include/asm-sparc64/setup.h~early-param-sparc64 include/asm-sparc64/setup.h
--- 25/include/asm-sparc64/setup.h~early-param-sparc64	2004-03-30 19:49:12.861983264 -0800
+++ 25-akpm/include/asm-sparc64/setup.h	2004-03-30 19:49:12.865982656 -0800
@@ -5,5 +5,6 @@
 #ifndef _SPARC64_SETUP_H
 #define _SPARC64_SETUP_H
 
+#define COMMAND_LINE_SIZE	256
 
 #endif /* _SPARC64_SETUP_H */

_
